/*
 *  main.cpp
 *  OpenCVApp
 *
 *  Created by Seongwoo Lee on 11/03/08.
 *  Copyright 2008 RyuiSaka. All rights reserved.
 *
 */

#include <OpenCV/OpenCV.h>

void cropWindow(int event, int x, int y, int flags, void* img);
bool flag = FALSE;

int main(int argc, char **argv)
{	
	IplImage* testImage = cvLoadImage("./test.jpg", CV_LOAD_IMAGE_COLOR);
	char *window1 = "Test Window";
	cvNamedWindow(window1, CV_WINDOW_AUTOSIZE);
	cvShowImage(window1, testImage); 
	cvSetMouseCallback(window1, cropWindow, testImage);
	cvWaitKey(0);
	cvReleaseImage(&testImage);

	return 0 ;
}

void cropWindow(int event, int x, int y, int flags, void* testImage)
{
	CvFont font;
	double hScale = 0.5;
	double vScale = 0.5;
	int lineWidth = 1;
	
	cvInitFont(&font, CV_FONT_HERSHEY_SIMPLEX, hScale, vScale, 0, lineWidth);
	
	if(event == CV_EVENT_LBUTTONDOWN && flag == FALSE)
	{
		cvPutText(testImage, "TEST", cvPoint(x, y), &font, cvScalar(255, 255, 255));
		cvShowImage("Test Window", testImage);
	}
}